## secnet-0.3.0.tar.gz

=== test-example/Makefile ===
all: sites.conf inside.key outside.key

%.key: %.key.b64
	base64 -d <$< >$@.new && mv -f $@.new $@

sites.conf: ../make-secnet-sites sites Makefile
	../make-secnet-sites sites sites.conf

=== debian/changelog ===
secnet (0.3.0) unstable; urgency=low

  * Release of 0.3.0.  No code changes since 0.3.0~beta3.
  * Update release checklist.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sun, 01 Sep 2013 20:27:48 +0100

secnet (0.3.0~beta3) unstable; urgency=low

  * New upstream version.
   - Stability bugfix: properly initialise site's scratch buffer.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Mon, 05 Aug 2013 11:54:09 +0100

secnet (0.3.0~beta2) unstable; urgency=low

  * New upstream version.
   - SECURITY FIX: RSA public modulus and exponent buffer overflow.
   - SECURITY FIX: Use constant-time memcmp for message authentication.
   - SECURITY FIX: Provide a new transform, eax-serpent, to replace cbcmac.
   - SECURITY FIX: No longer send NAKs for NAKs, avoiding NAK storm.
   - SECURITY FIX: Fix site name checking when site name A is prefix of B.
   - SECURITY FIX: Safely reject too-short IP packets.
   - Better robustness for mobile sites (proper user of NAKs, new PROD msg).
   - Better robustness against SLIP decoding errors.
   - Fix bugs which caused routes to sometimes not be advertised.
   - Protocol capability negotiation mechanism.
   - Improvements and fixes to protocol and usage documentation.
   - Other bugfixes and code tidying up.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Thu, 25 Jul 2013 18:26:01 +0100

secnet (0.3.0~beta1) unstable; urgency=low

  * New upstream version.
   - SECURITY FIX: avoid crashes (or buffer overrun) on short packets.
   - Bugfixes relating to packet loss during key exchange.
   - Bugfixes relating to link up/down status.
   - Bugfixes relating to logging.
   - make-secnet-sites made more sophisticated to support two vpns on chiark.
   - Documentation improvements.
   - Build system improvements.
  * Debian packaging improvements:
   - Native package.
   - Maintainer / uploaders.
   - init script requires $remove_fs since we're in /usr.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Thu, 12 Jul 2012 20:18:16 +0100

secnet (0.2.1-1) unstable; urgency=low

  * New upstream version.  (authbind endianness fix)

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sun, 11 Dec 2011 13:14:57 +0000

secnet (0.2.0-1) unstable; urgency=low

  * New upstream version.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sat, 10 Dec 2011 22:44:41 +0000

secnet (0.1.18-1) unstable; urgency=low

  * New upstream version.

 -- Stephen Early <steve@greenend.org.uk>  Tue,  18 Mar 2008 17:45:00 +0000

=== debian/control ===
Source: secnet
Section: net
Priority: extra
Maintainer: Ian Jackson <ijackson@chiark.greenend.org.uk>
Uploaders: Stephen Early <steve@greenend.org.uk>,
           Richard Kettlewell <rjk@terraraq.org.uk>
Build-Depends: debhelper (>= 5), libgmp3-dev, libadns1-dev, bison, flex
Standards-Version: 3.0.1

Package: secnet
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: python
Description: VPN software for distributed networks
 secnet allows multiple private networks, each 'hidden' behind a single
 globally-routable IP address, to be bridged together.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# This file is public domain software, originally written by Joey Hess. 
# Modified for secnet by Stephen Early <steve@greenend.org.uk>

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	./configure --prefix=/usr --sysconfdir=/etc && $(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) realclean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/<packagename>
	$(MAKE) prefix=`pwd`/debian/`dh_listpackages`/usr install

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs INSTALL README NOTES TODO NEWS BUGS CREDITS
	dh_installexamples example.conf
#	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
	dh_installinit
#	dh_installcron
	dh_installman
#	dh_installinfo
	dh_installchangelogs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
